## ide-back-forward-list ide-back-forward-list |

## Functions

void | ide_back_forward_list_go_backward ()
void | ide_back_forward_list_go_forward ()
gboolean | ide_back_forward_list_get_can_go_backward ()
gboolean | ide_back_forward_list_get_can_go_forward ()
IdeBackForwardItem * | ide_back_forward_list_get_current_item ()
void | ide_back_forward_list_push ()
IdeBackForwardList * | ide_back_forward_list_branch ()
void | ide_back_forward_list_merge ()

## Types and Values

#define | IDE_TYPE_BACK_FORWARD_LIST
| IdeBackForwardList

## Description

## Functions

### ide_back_forward_list_go_backward ()

    void
    ide_back_forward_list_go_backward (IdeBackForwardList *self);

### ide_back_forward_list_go_forward ()

    void
    ide_back_forward_list_go_forward (IdeBackForwardList *self);

### ide_back_forward_list_get_can_go_backward ()

    gboolean
    ide_back_forward_list_get_can_go_backward
                                   (IdeBackForwardList *self);

### ide_back_forward_list_get_can_go_forward ()

    gboolean
    ide_back_forward_list_get_can_go_forward
                                   (IdeBackForwardList *self);

### ide_back_forward_list_get_current_item ()

    IdeBackForwardItem *
    ide_back_forward_list_get_current_item
                                   (IdeBackForwardList *self);

Retrieves the current IdeBackForwardItem or `NULL` if no items have been added to the IdeBackForwardList.

#### Returns

An IdeBackForwardItem or `NULL`.

[transfer none][nullable]

### ide_back_forward_list_push ()

    void
    ide_back_forward_list_push (IdeBackForwardList *self,
                                IdeBackForwardItem *item);

### ide_back_forward_list_branch ()

    IdeBackForwardList *
    ide_back_forward_list_branch (IdeBackForwardList *self);

Branches `self` into a newly created IdeBackForwardList.

This can be used independently and then merged back into a global IdeBackForwardList. This can be useful in situations where you have multiple sets of editors.

#### Returns

An IdeBackForwardList.

[transfer full]

### ide_back_forward_list_merge ()

    void
    ide_back_forward_list_merge (IdeBackForwardList *self,
                                 IdeBackForwardList *branch);

## Types and Values

### IDE_TYPE_BACK_FORWARD_LIST

    #define IDE_TYPE_BACK_FORWARD_LIST (ide_back_forward_list_get_type())

### IdeBackForwardList

    typedef struct _IdeBackForwardList IdeBackForwardList;